#
# spec file for package cockpit-branding-openSUSE
#
# Copyright (c) 2021 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cockpit-branding-openSUSE-Leap-Micro
Version:        5.1
Release:        150400.1.3
Summary:        Cockpit branding for openSUSE Leap Micro
License:        LGPL-2.1-or-later
Source:         branding.css
BuildRequires:  distribution-logos-openSUSE-LeapMicro
BuildRequires:  wallpaper-branding-openSUSE
Supplements:    (cockpit and Leap-Micro-release)
Requires:       cockpit
BuildArch:      noarch

%description
Cockpit branding for openSUSE Leap Micro

%prep
%setup -qcT

%install
mkdir -p %{buildroot}/usr/share/cockpit/branding/opensuse-leap-micro
cp %{SOURCE0} %{buildroot}/usr/share/cockpit/branding/opensuse-leap-micro
cp /usr/share/pixmaps/distribution-logos/square-hicolor.svg %{buildroot}/usr/share/cockpit/branding/opensuse-leap-micro
cp /usr/share/pixmaps/distribution-logos/favicon.ico %{buildroot}/usr/share/cockpit/branding/opensuse-leap-micro
cp /usr/share/wallpapers/default-1920x1200.jpg %{buildroot}/usr/share/cockpit/branding/opensuse-leap-micro

%files
%defattr(-,root,root)
%dir /usr/share/cockpit
%dir /usr/share/cockpit/branding
/usr/share/cockpit/branding/opensuse-leap-micro

%changelog
* Wed Nov  3 2021 Ludwig Nussel <lnussel@suse.de>
- initial package
